{% embed 'AppBundle::_modalPanelTemplate.html.twig' %}
    {% import 'AppBundle:Macros:macros.html.twig' as this %}
    {% block panel_title %}{{ title }}{% endblock %}
    {% block panel_body %}
        {{ form_row(form.firstName) }}
        {{ form_row(form.name) }}

        {% if form.userName is defined %}
            {{ form_row(form.userName) }}
        {% else %}
            {{ this.labeled_value(user.userName, 'Nom d\'utilisateur.trice') }}
        {% endif %}

        {% if form.email is defined %}
            {{ form_row(form.email) }}
        {% else %}
            {{ this.labeled_value(data_helper.getEmail(user), 'Email') }}
        {% endif %}

        {% if form.roles is defined %}
            {{ form_row(form.roles) }}
        {% else %}
            {{ this.labeled_value(user.role, 'Droits utilisateur.trice') }}
        {% endif %}
        {{ this.labeled_value(user.convention ? "Oui" : "Non", 'Signature de la charte') }}
        {% if form.phone is defined %}
            {{ form_row(form.phone) }}
        {% else %}
            {{ this.labeled_value(data_helper.getPhone(user), 'Téléphone') }}
        {% endif %}
        {% if form.address is defined %}
            {{ form_row(form.address) }}
        {% else %}
            {{ this.labeled_value(data_helper.getAddress(user), 'Adresse') }}
        {% endif %}
        {{ form_row(form.postalCode) }}
        {% include 'AppBundle:User:town.html.twig' %}
            <script>
                $(document).ready(function(){

                    $('#member_town').change(function(event) {
                        $town = event.target;
                        // ... retrieve the corresponding form.
                        var $form = $(this).closest('form');

                        // Simulate form data, but only include the selected town value.
                        var data = {};

                        data[$($town).attr('name')] = $($town).val();
                        // Submit data via AJAX to the form's action path.
                        $.ajax({
                            url : $form.attr('action'),
                            type: $form.attr('method'),
                            data : data,
                            success: function(html) {
                                // Replace current position field ...

                                $('#member_district').replaceWith(
                                    // ... with the returned one from the AJAX response.
                                    $(html).find('#member_district')
                                );
                                $('#member_city').replaceWith(
                                    // ... with the returned one from the AJAX response.
                                    $(html).find('#member_city')
                                );
                                // Position field now displays the appropriate positions.
                                toggletown();
                            }
                        });

                    });

                    toggletown();

                    function toggletown() {
                        $town = $("#member_town").val();
                        var length = $('#member_district option').length;
                        if (length > 1) {
                            $('#myDistrict').show();
                        } else {
                            $('#myDistrict').hide();
                        }

                        if ($('#member_city').attr('required') === undefined) {
                            $('#member_city').parent().parent().hide();
                        } else {
                            $('#member_city').parent().parent().show();
                        };
                    }
                });
            </script>
    {% endblock %}
{% endembed %}
